<div ref:mm class="{open ? 'open' : ''}">
  <div class="hamburger">
    <button class="button" on:click="set({open: !open})">
      <span class="label">Open Menu</span>    
    </button>
  </div>
  <nav class="menu">
    <ul class="list">
      {#each menu as item}
      <li class="{item.class} {item.active ? 'active' : ''} group"><a class="link" href="{item.url}" target="{item.target ? item.target : '_parent' }">{item.display}</a></li>
      {/each}
    </ul>
  </nav>
</div>
<style>
  /* ROOT */
  :root{
    --colorBlack: #222;
    --colorWhite: #fff;
    --colorGray: #f0f0f0;
    --colorMain: #4557bb;
    --colorMainLight: #8491d8;
    --colorMainDark: #233286;
  }

  a{
    color: var(--colorMain);
  }
  /* RESETS */
  button {
    border: none;
    background-color: transparent;
	  padding: 0;
	  font-family: inherit;
  }
  a {
	  display: inline-block;
	  text-decoration: none;
  }
  /* MENU STYLES */
  ref:mm {
    box-sizing: border-box;
    width: 100%;
    color: var(--colorWhite);
    display: flex;
    justify-content: center;
    position: fixed;
    bottom: 0;
    left: 0;
    z-index: 9998;
  }
  .menu {
    box-sizing: border-box;
    width: 100%;
    padding-bottom: 55px;

    height: 0;
    transform: translate3d(0, -100%, 0);
    opacity: 0;

    display: flex;
    align-items: flex-end;

    position: fixed;
    top: 0;
    left: 0;
  }

  ref:mm .menu .list {
    box-sizing: border-box;
    width: 100%;
    max-height: 100%;
    display: none;

    padding-top: 30px;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
  }

  ref:mm .menu .group {
    padding: 0.5rem 3rem;
    font-size: 3.2rem;
    font-weight: 700;
    text-transform: uppercase;
  }

  ref:mm .menu .group_active {
    background-color: var(--colorWhite);
    color: var(--colorBlack);
  }

  ref:mm .menu .item {
    padding: 8px 25px;
    display: block;
  }

  /* hamburger */

  .hamburger {
    position: relative;
    line-height: 1;
    padding-bottom: 0.5em;
  }

  .hamburger:before {
    content: "";
    width: 100px;
    height: 100px;
    background-color: var(--colorMain);
    border-radius: 50%;

    position: absolute;
    bottom: -55px;
    left: -35px;
  }

  ref:mm .hamburger .button {
    width: 1.4em;
    height: 1em;
    font-size: 20px;

    position: relative;
    text-indent: -9999px;
    z-index: 2;
  }

  ref:mm .hamburger .button:before,
  ref:mm .hamburger .button:after,
  ref:mm .hamburger .label {
    width: 100%;
    height: 20%;
    border-radius: 5px;
    background-color: currentColor;

    position: absolute;
    left: 0;
  }

  ref:mm .hamburger .button:before,
  ref:mm .hamburger .button:after {
    content: "";
  }

  ref:mm .hamburger .button:before {
    top: 0;
  }

  ref:mm .hamburger .button:after {
    bottom: 0;
  }

  ref:mm .hamburger .button:focus {
    outline: none;
  }

  ref:mm .hamburger .label {
    margin-top: -0.1em;
    top: 50%;
  }

  /* activated state */

  .open {
    overflow: hidden;
  }

  .open .menu {
    height: 100%;
    transform: translate3d(0, 0, 0);
    opacity: 1;
  }

  .open .hamburger:before {
    width: 100vh;
    height: 100vh;
    transform: translate3d(-50vh, -50vh, 0) scale(5);
  }

  ref:mm .open .menu .list {
    display: block;
  }

  ref:mm .open .hamburger .button:before {
    transform: translate3d(0, -50%, 0) rotate(45deg);
    top: 50%;
  }

  ref:mm .open .hamburger .button:after {
    transform: translate3d(0, -50%, 0) rotate(135deg);
    top: 50%;
  }

  ref:mm .open .hamburger .label {
    transform: rotate(-45deg) translate3d(-5.71429px, -6px, 0);
    opacity: 0;
  }

  /*
  =====
  LEVEL 3. MOBILE ANIMATION STYLES
  =====
  */

  .menu {
    transition: opacity 0.2s ease-out;
  }

  .open .menu {
    will-change: opacity;
    transition-duration: 0.2s;
    transition-delay: 0.3s;
  }

  .hamburger:before {
    will-change: width, height;
    transition: transform 0.3s cubic-bezier(0.04, -0.1, 0.29, 0.98),
      width 0.3s cubic-bezier(0.04, -0.1, 0.29, 0.98),
      height 0.3s cubic-bezier(0.04, -0.1, 0.29, 0.98);
  }

  .open .hamburger:before {
    transition-duration: 1s;
  }

  ref:mm .hamburger .button:before,
  ref:mm .hamburger .button:after {
    transition-property: transform;
  }

  ref:mm .hamburger .button:before,
  ref:mm .hamburger .button:after,
  ref:mm .hamburger .label {
    transition-timing-function: ease;
    transition-duration: 0.15s;
  }

  ref:mm .hamburger .label {
    transition-property: transform, opacity;
  }
</style>
<script>
  export default {
    data(){
      return {
        menu: [
          {
            url: "http://example.com",
            display: "Example.com"
          }
        ]
      }
    }
  }
</script>